# SpecialRightsChatMember - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.ChatMember.abstracts / SpecialRightsChatMember

# SpecialRightsChatMember

(common) `interface SpecialRightsChatMember : ChatMember` (source)

### Properties

(common)

#### canChangeInfo

`abstract val canChangeInfo: Boolean`

(common)

#### canInviteUsers

`abstract val canInviteUsers: Boolean`

(common)

#### canPinMessages

`abstract val canPinMessages: Boolean`

### Inheritors

(common)

#### AdministratorChatMember

`interface AdministratorChatMember : SpecialRightsChatMember`

(common)

#### RestrictedChatMember

`data class RestrictedChatMember : BannedChatMember, SpecialRightsChatMember`